#!/bin/sh

#Conf dir/file definition
FILE_SYSLOGNG_PKG_INFO=/var/packages/SyslogServer/INFO
FILE_SYSLOGNG_SVR_INFO=/var/packages/SyslogServer/etc/setting.conf
FILE_SYSLOGNG_PKG_ENABLE=/var/packages/SyslogServer/enabled

DIR_SYSLOGNG_PKG_RESOURCE=/var/packages/SyslogServer/target
BIN_SYSLOGNG_MAIL=${DIR_SYSLOGNG_PKG_RESOURCE}/bin/synosyslogmail
BIN_SYSLOGNG_SVRCTL=${DIR_SYSLOGNG_PKG_RESOURCE}/bin/synosyslogsvrctl

PackageInfoGet(){
    if [ -f "${FILE_SYSLOGNG_PKG_INFO}" ]; then
	SYSLOGNG_PKG_NAME=`/bin/get_key_value ${FILE_SYSLOGNG_PKG_INFO} package`
	SYSLOGNG_PKG_VERSION=`/bin/get_key_value ${FILE_SYSLOGNG_PKG_INFO} version`
	SYSLOGNG_PKG_VENDOR=`/bin/get_key_value ${FILE_SYSLOGNG_PKG_INFO} maintainer`
	SYSLOGNG_PKG_MODVER=`/bin/get_key_value ${FILE_SYSLOGNG_PKG_INFO} sdkmodversion`
    else
	echo "Syslog package info file does not exist!";
	exit 1;
    fi
}

ServiceInfoGet(){
    if [ -f "${FILE_SYSLOGNG_SVR_INFO}" ]; then
    SYSLOGNG_SVR_ENABLE=`/bin/get_key_value ${FILE_SYSLOGNG_SVR_INFO} server_enable`
	SYSLOGNG_SVR_SHARE=`/bin/get_key_value ${FILE_SYSLOGNG_SVR_INFO} server_db_loc`
    else
	echo "Syslog service info file does not exist!";
	exit 1;
    fi
}

PackageEnableGet(){
    if [ -f "${FILE_SYSLOGNG_PKG_ENABLE}" ]; then
        SYSLOGNG_PKG_ENABLE=1;
    else
        SYSLOGNG_PKG_ENABLE=0;
    fi
}

SvrShareCheck(){
    if [ "" != "${SYSLOGNG_SVR_SHARE}" -a "${CHK_SHARE}" = "${SYSLOGNG_SVR_SHARE}" ]; then
	IS_SVR_SHARE=1;
    else
	IS_SVR_SHARE=0;
    fi
}

# Service control relative functions
SyslogServiceStart(){
	PackageEnableGet;
	if [ "1" = "${SYSLOGNG_PKG_ENABLE}" ]; then
	    RESULT_START=`${BIN_SYSLOGNG_SVRCTL} --cmdtype=START`
	fi
}

SyslogServiceStop(){
    RESULT_END=`${BIN_SYSLOGNG_SVRCTL} --cmdtype=STOP`
}

SyslogServiceEnable(){
    RESULT_ENABLE=`${BIN_SYSLOGNG_SVRCTL} --cmdtype=ENABLE`
}

SyslogServiceDisable(){
    RESULT_DISABLE=`${BIN_SYSLOGNG_SVRCTL} --cmdtype=DISABLE`
}

SyslogServiceLocSet(){
    RESULT_LOCSET=`${BIN_SYSLOGNG_SVRCTL} --cmdtype=SHARESET --share=${SHARE_NAME}`
}

# Mailing relative functions
SyslogMailShareRename(){
    RESULT_MAIL=`${BIN_SYSLOGNG_MAIL} --mailtype=SHARE_RENAME --share=${SYSLOGNG_SVR_SHARE}`
}

SyslogMailShareRemove(){
    RESULT_MAIL=`${BIN_SYSLOGNG_MAIL} --mailtype=SHARE_REMOVE --share=${SYSLOGNG_SVR_SHARE}`
}

SyslogMailShareEncMount(){
    RESULT_MAIL=`${BIN_SYSLOGNG_MAIL} --mailtype=SHARE_ENCMNT --share=${SYSLOGNG_SVR_SHARE}`
}

SyslogMailShareEncUnmount(){
    RESULT_MAIL=`${BIN_SYSLOGNG_MAIL} --mailtype=SHARE_ENCUNMNT --share=${SYSLOGNG_SVR_SHARE}`
}
