#!/bin/sh

###############################################################
#   This script should be hooked when invoking SYNOShareDelete()
#   Usable environment variable:
#       SHARE_NAME, ENC_ACTION={encrypt|decrypt}, RESULT
###############################################################

#Include common scripts
FILE_SYSLOGNG_INC_SCRP=/usr/local/libexec/SyslogShareCommon.sh
. ${FILE_SYSLOGNG_INC_SCRP}

#At begining, acquire package settings
PackageInfoGet;

case $1 in
    --sdk-mod-ver)
	#Print SDK support version
        echo ${SYSLOGNG_PKG_MODVER};
    ;;
    --name)
        #Print package name
        echo ${SYSLOGNG_PKG_NAME};
    ;;
    --pkg-ver)
        #Print package version
        echo ${SYSLOGNG_PKG_VERSION};
    ;;
    --vendor)
        #Print package vendor
        echo ${SYSLOGNG_PKG_VENDOR};
    ;;
    --pre)
        #Actions before share encrypt action
        ServiceInfoGet;
        CHK_SHARE=${SHARE_NAME};
        
        #Check if service share
        SvrShareCheck;
        if [ "1" != "${IS_SVR_SHARE}" ]; then
            return;
        fi

        #Stop service anyway
        SyslogServiceStop;
    ;;
    --post)
        #Actions after share encrypt action
        ServiceInfoGet;
        CHK_SHARE=${SHARE_NAME};
        
        #Check if service share
        SvrShareCheck;
        if [ "1" != "${IS_SVR_SHARE}" ]; then
            return;
        fi

        if [ "encrypt" = "${ENC_ACTION}" ]; then
            if [ "0" = "${RESULT}" ]; then
                SyslogServiceStop;
                SyslogMailShareEncUnmount;
            else
                SyslogServiceStart;
            fi
        elif [ "decrypt" = "${ENC_ACTION}" ]; then
            if [ "0" = "${RESULT}" ]; then
                SyslogServiceStart;
                SyslogMailShareEncMount;
            else
                SyslogServiceStop;
            fi
        fi
    ;;
    *)
        echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
    ;;
esac
